IF NOT EXISTS (SELECT * FROM PERSONELACCESS (NOLOCK) WHERE AreaNumber = 4 AND AreaFunctionNumber = 32)	
BEGIN
	INSERT INTO PERSONELACCESS (UserIdNumber, AreaFunctionNumber, Access, AreaNumber)
	SELECT DISTINCT UserIDNumber, 32,2,4 FROM PERSONELACCESS 
END
